<?php
header('Content-Type: application/json; charset=utf-8');
include './connect.php';
include './utils.php';

$id = $_POST['user_id'] ?? '';

$sql = "SELECT u.id, e.nome AS nome_empresa, u.nome, u.apelido, u.email, u.telefone FROM utilizadores u INNER JOIN empresas e ON u.id_empresa = e.id WHERE u.id = $id;";
$result = $TraceStockDB->query($sql);

$response = ["success" => false, "message" => "Erro ao buscar dados do empregado!"];

if ($result && $result->rowCount() > 0) {    
    $row = $result->fetch(PDO::FETCH_ASSOC);
    $name = $row['nome'] . ' ' . $row['apelido'];
    $response = [
        "id" => $row['id'],
        "username" => $row['nome'] . ' ' . $row['apelido'],
        "email" => $row['email'],        
        "nome_empresa" => $row['nome_empresa'],
        "telefone" => $row['telefone'],
        "success" => true,
    ];
}

echo json_encode($response);
exit;
?>